/* Copyright (c) 2012 Jesper Öqvist <jesper@llbit.se>
 *
 * This file is part of Chunky.
 *
 * Chunky is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Chunky is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Chunky.  If not, see <http://www.gnu.org/licenses/>.
 */
package se.llbit.chunky.main;

public class Render3DWorker extends Thread {
    
	private int id;
	private RenderController boss;

    public Render3DWorker(RenderController boss, int id) {
        super("3D Render Worker");
        
        this.boss = boss;
        this.id = id;
    }
    
    public void run() {
    	try {
    	    float[] buf0 = new float[4];
    	    float[] buf1 = new float[4];
    	    float[] buf2 = new float[4];
	    	while (!isInterrupted()) {
	    		boss.workerWait(id);
	    		boss.work(id, buf0, buf1, buf2);
	    		boss.workerDone(id);
	    	}
    	} catch (InterruptedException e) {
    	}
    }

}
