/* Copyright (c) 2010 Jesper Öqvist <jesper@llbit.se>
 *
 * This file is part of Chunky.
 *
 * Chunky is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Chunky is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Chunky.  If not, see <http://www.gnu.org/licenses/>.
 */
package se.llbit.chunky.main;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * A simple FileFilter for Zip files.
 * 
 * @author Jesper Öqvist (jesper@llbit.se)
 */
public class ZipFileFilter extends FileFilter {

	@Override
	public boolean accept(File file) {
		if (file.isDirectory())
			return true;
		
        String s = file.getName();
        int i = s.lastIndexOf('.');
        if (i > 0 &&  i < s.length() - 1) {
            String extension = s.substring(i+1).toLowerCase();
            return extension.equals("zip");
        }
		return false;
	}

	@Override
	public String getDescription() {
		return "Zip Files";
	}

}
