package se.llbit.chunky.meta;

public final class Color {
    
    private Color() { }

    public static final int getRGB(float r, float g, float b) {
        return 0xFF000000 |
            ((int)(255 * r) << 16) |
            ((int)(255 * g) << 8) |
            (int)(255 * b);
    }
    
    public static final int getRGBA(float r, float g, float b, float a) {
        return ((int)(255 * a) << 24) |
            ((int)(255 * r) << 16) |
            ((int)(255 * g) << 8) |
            (int)(255 * b);
    }

    public static final void getRGBComponents(int irgb, float[] frgb) {
        frgb[0] = (0xFF & (irgb >> 16)) / 255.f;
        frgb[1] = (0xFF & (irgb >> 8)) / 255.f;
        frgb[2] = (0xFF & irgb) / 255.f;
    }
    
    public static final void getRGBAComponents(int irgb, float[] frgb) {
        frgb[3] = (0xFF & (irgb >> 24)) / 255.f;
        frgb[0] = (0xFF & (irgb >> 16)) / 255.f;
        frgb[1] = (0xFF & (irgb >> 8)) / 255.f;
        frgb[2] = (0xFF & irgb) / 255.f;
    }
}
