package se.llbit.chunky.meta;

import javax.vecmath.Vector3f;

public class VectorPool {
    private int limit = 10;
    private int size = 0;
    private Vector3f[] pool = new Vector3f[limit];
    
    public final Vector3f get(Vector3f other) {
        Vector3f vec;
        if (size == 0) {
            vec = new Vector3f();
        } else {
            vec = pool[--size];
        }
        vec.set(other);
        return vec;
    }
    
    public final Vector3f get(float x, float y, float z) {
        Vector3f vec;
        if (size == 0) {
            vec = new Vector3f();
        } else {
            vec = pool[--size];
        }
        vec.set(x, y, z);
        return vec;
    }
    
    public final Vector3f get() {
        if (size == 0) {
            Vector3f vec = new Vector3f();
            return vec;
        } else {
            return pool[--size];
        }
    }
    
    public final void dispose(Vector3f vec) {
        if (size == limit) {
            int newLimit = limit * 2;
            Vector3f[] newPool = new Vector3f[newLimit];
            System.arraycopy(pool, 0, newPool, 0, limit);
            limit = newLimit;
            pool = newPool;
        }
        pool[size++] = vec;
    }
}
