/* Copyright (c) 2012 Jesper Öqvist <jesper@llbit.se>
 *
 * This file is part of Chunky.
 *
 * Chunky is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Chunky is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Chunky.  If not, see <http://www.gnu.org/licenses/>.
 */
package se.llbit.chunky.world;

import java.util.Collection;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Set;

import se.llbit.chunky.world.listeners.ChunkUpdateListener;

public class ChunkUpdateTracker implements ChunkUpdateListener {
    
    private Set<ChunkPosition> updated = new HashSet<ChunkPosition>();

    @Override
    public synchronized void chunksUpdated(Collection<ChunkPosition> chunks) {
        updated.addAll(chunks);
    }
    
    public synchronized Collection<ChunkPosition> pollUpdatedChunks() {
        Collection<ChunkPosition> chunks = new LinkedList<ChunkPosition>(updated);
        updated.clear();
        return chunks;
    }

    public synchronized boolean haveUpdatedChunks() {
        return !updated.isEmpty();
    }

}
