package se.llbit.chunky.world;

import java.util.HashMap;
import java.util.Map;

public class Heightmap {
    
    
    private Map<ChunkPosition, ChunkHeightmap> map =
            new HashMap<ChunkPosition, ChunkHeightmap>();

    public void set(int y, int x, int z) {
        ChunkPosition cp = ChunkPosition.get(x >> 5, z >> 5);
        ChunkHeightmap hm = map.get(cp);
        if (hm == null) {
            hm = new ChunkHeightmap();
            map.put(cp, hm);
        }
        hm.set(y, x & 0x1F, z & 0x1F);
    }

    public int get(int x, int z) {
        ChunkPosition cp = ChunkPosition.get(x >> 5, z >> 5);
        ChunkHeightmap hm = map.get(cp);
        if (hm == null) {
            hm = new ChunkHeightmap();
            map.put(cp, hm);
        }
        return hm.get(x & 0x1F, z & 0x1F);
    }

}
